[arch-commits] Commit in rt2500/trunk (PKGBUILD kernel-2.6.27.patch rt2500.install)

Thomas Baechler thomas at archlinux.org
Fri Oct 10 15:36:03 UTC 2008


    Date: Friday, October 10, 2008 @ 11:36:02
  Author: thomas
Revision: 14783

upgpkg: rt2500 1.1.0_B4-25

Added:
  rt2500/trunk/kernel-2.6.27.patch
Modified:
  rt2500/trunk/PKGBUILD
  rt2500/trunk/rt2500.install

---------------------+
 PKGBUILD            |   14 +++++++---
 kernel-2.6.27.patch |   64 ++++++++++++++++++++++++++++++++++++++++++++++++++
 rt2500.install      |    6 ++--
 3 files changed, 76 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-10 15:35:55 UTC (rev 14782)
+++ PKGBUILD	2008-10-10 15:36:02 UTC (rev 14783)
@@ -2,26 +2,30 @@
 # Maintainer: James Rayner <iphitus at gmail.com>
 
 pkgname=rt2500
-_kernver=2.6.26-ARCH
+_kernver=2.6.27-ARCH
 pkgver=1.1.0_B4
 _pkgver=1.1.0-b4
-pkgrel=24
+pkgrel=25
 pkgdesc="Drivers for rt2500 chipset wireless cards"
 url="http://rt2x00.serialmonkey.com/wiki/index.php/Main_Page"
 license=('GPL2')
-depends=('kernel26>=2.6.26-1' 'kernel26<2.6.27')
+depends=('kernel26>=2.6.27' 'kernel26<2.6.28')
 arch=('i686' 'x86_64')
 install=rt2500.install
 source=(http://downloads.sourceforge.net/sourceforge/rt2400/rt2500-${_pkgver}.tar.gz \
-	kernel-2.6.22.patch kernel-2.6.24.patch)
+	kernel-2.6.22.patch 
+	kernel-2.6.24.patch
+	kernel-2.6.27.patch)
 md5sums=('83b8b9a091705c08d99268479f3b3b6a'
          'a74f8e9cbba7b29620f11fba8fd7c50d'
-	 'ccf0da667cc6642dacf39dea1aac254f')
+	 'ccf0da667cc6642dacf39dea1aac254f'
+	 'ccb923f4ebf408e781544d7cf4074bf2')
 
 build() {
   cd $startdir/src/rt2500-$_pkgver/
   patch -Np1 -i ../kernel-2.6.22.patch || return 1
   patch -Np1 -i ../kernel-2.6.24.patch || return 1
+  patch -Np1 -i ../kernel-2.6.27.patch || return 1
   cd $startdir/src/rt2500-$_pkgver/Module
   make KERNDIR=/lib/modules/$_kernver/build || return 1
   install -D -m 644 rt2500.ko $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/rt2500.ko

Added: kernel-2.6.27.patch
===================================================================
--- kernel-2.6.27.patch	                        (rev 0)
+++ kernel-2.6.27.patch	2008-10-10 15:36:02 UTC (rev 14783)
@@ -0,0 +1,64 @@
+diff -Nur rt2500-1.1.0-b4.orig/Module/rtmp_info.c rt2500-1.1.0-b4/Module/rtmp_info.c
+--- rt2500-1.1.0-b4.orig/Module/rtmp_info.c	2008-10-10 16:55:27.000000000 +0200
++++ rt2500-1.1.0-b4/Module/rtmp_info.c	2008-10-10 16:57:27.000000000 +0200
+@@ -481,7 +481,7 @@
+ 		iwe.cmd = SIOCGIWAP;
+ 		iwe.u.ap_addr.sa_family = ARPHRD_ETHER;
+ 				memcpy(iwe.u.ap_addr.sa_data, &pAdapter->PortCfg.BssTab.BssEntry[i].Bssid, ETH_ALEN);
+-			current_ev = iwe_stream_add_event(current_ev,end_buf, &iwe, IW_EV_ADDR_LEN);
++			current_ev = iwe_stream_add_event(info, current_ev,end_buf, &iwe, IW_EV_ADDR_LEN);
+ 		//================================
+ 		memset(&iwe, 0, sizeof(iwe));
+ 		iwe.cmd = SIOCGIWMODE;
+@@ -499,13 +499,13 @@
+ 		}
+ 
+ 		iwe.len = IW_EV_UINT_LEN;
+-		current_ev = iwe_stream_add_event(current_ev, end_buf, &iwe,  IW_EV_UINT_LEN);
++		current_ev = iwe_stream_add_event(info, current_ev, end_buf, &iwe,  IW_EV_UINT_LEN);
+ 		//================================
+ 		memset(&iwe, 0, sizeof(iwe));
+ 		iwe.cmd = SIOCGIWESSID;
+ 		iwe.u.data.length = pAdapter->PortCfg.BssTab.BssEntry[i].SsidLen;
+ 		iwe.u.data.flags = 1;
+-		current_ev = iwe_stream_add_point(current_ev,end_buf, &iwe, pAdapter->PortCfg.BssTab.BssEntry[i].Ssid);
++		current_ev = iwe_stream_add_point(info, current_ev,end_buf, &iwe, pAdapter->PortCfg.BssTab.BssEntry[i].Ssid);
+ 		//================================
+ 		memset(&iwe, 0, sizeof(iwe));
+ 		iwe.cmd = SIOCGIWENCODE;
+@@ -513,7 +513,7 @@
+ 			iwe.u.data.flags =IW_ENCODE_ENABLED | IW_ENCODE_NOKEY;
+ 		else
+ 			iwe.u.data.flags = IW_ENCODE_DISABLED;
+-		current_ev = iwe_stream_add_point(current_ev, end_buf,&iwe,  pAdapter->PortCfg.BssTab.BssEntry[i].Ssid);
++		current_ev = iwe_stream_add_point(info, current_ev, end_buf,&iwe,  pAdapter->PortCfg.BssTab.BssEntry[i].Ssid);
+ 
+ 		//================================
+ 		memset(&iwe, 0, sizeof(iwe));
+@@ -524,7 +524,7 @@
+ 		{
+ 			iwe.u.bitrate.value = RateIdToMbps[pAdapter->PortCfg.BssTab.BssEntry[i].Rates[i]/2] * 1000000;
+ 			iwe.u.bitrate.disabled = 0;
+-			current_val = iwe_stream_add_value(current_ev,
++			current_val = iwe_stream_add_value(info, current_ev,
+ 				current_val, end_buf, &iwe,
+ 				IW_EV_PARAM_LEN);
+ 		}
+@@ -537,7 +537,7 @@
+ 			iwe.u.freq.m = pAdapter->PortCfg.BssTab.BssEntry[i].Channel;
+ 		iwe.u.freq.e = 0;
+ 		iwe.u.freq.i = 0;
+-		current_ev = iwe_stream_add_event(current_ev,end_buf, &iwe, IW_EV_FREQ_LEN);
++		current_ev = iwe_stream_add_event(info, current_ev,end_buf, &iwe, IW_EV_FREQ_LEN);
+ 		//================================
+ 		memset(&iwe, 0, sizeof(iwe));
+                 iwe.cmd = IWEVQUAL;
+@@ -549,7 +549,7 @@
+ 		iwe.u.qual.noise = pAdapter->PortCfg.BssTab.BssEntry[i].Noise;
+                 //iwe.u.qual.noise = (pAdapter->PortCfg.LastR17Value > BBP_R17_DYNAMIC_UP_BOUND) ? BBP_R17_DYNAMIC_UP_BOUND : ((ULONG) pAdapter->PortCfg.LastR17Value);           // // noise level (dBm)
+ 
+-                current_ev = iwe_stream_add_event(current_ev,end_buf, &iwe, IW_EV_QUAL_LEN);
++                current_ev = iwe_stream_add_event(info, current_ev,end_buf, &iwe, IW_EV_QUAL_LEN);
+ 
+ 
+                 //================================

Modified: rt2500.install
===================================================================
--- rt2500.install	2008-10-10 15:35:55 UTC (rev 14782)
+++ rt2500.install	2008-10-10 15:36:02 UTC (rev 14783)
@@ -1,7 +1,7 @@
 # arg 1:  the new package version
 post_install()
 {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
@@ -9,14 +9,14 @@
 # arg 2:  the old package version
 post_upgrade()
 {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
 # arg 1:  the old package version
 post_remove()
 {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	  
 }
 




More information about the arch-commits mailing list